E-MailRelay

Classes | Namespaces | Typedefs | Functions
gstringfield.h File Reference
`#include "gdef.h"`
`#include "gstringview.h"`
`#include "gassert.h"`
`#include <string>`
`#include <algorithm>`
`#include <iterator>`
`#include <cstddef>`
Include dependency graph for gstringfield.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | G::StringFieldT< T >
| A zero-copy string field iterator where the field separators are short fixed strings. More...
class | G::StringFieldIteratorT< T >
| A standard forward iterator for G::StringFieldT: More...

## Namespaces
namespace | G
| Low-level classes.

## Typedefs
using | G::StringField = StringFieldT< std::string >
using | G::StringFieldView = StringFieldT< std::string_view >

## Functions
template<typename T >
StringFieldIteratorT< T > | G::begin (StringFieldT< T > &f) noexcept
template<typename T >
StringFieldIteratorT< T > | G::end (StringFieldT< T > &) noexcept